Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: [ROZWIĄZANY] Nie mogę zainstalować gnome-builder  (Przeczytany 491 razy)

Offline funn

  • Jr. Member
  • **
  • Wiadomości: 83
[ROZWIĄZANY] Nie mogę zainstalować gnome-builder
« dnia: Wrzesień 16, 2019, 08:15:45 pm »
Wyskakuje taki błąd.
błąd:  nie udało się dokonać transakcji (konfliktujące pliki)
python-pytz: /usr/lib/python3.7/site-packages/pytz/__init__.py znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/__pycache__/__init__.cpython-37.pyc znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/__pycache__/exceptions.cpython-37.pyc znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/__pycache__/lazy.cpython-37.pyc znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/__pycache__/reference.cpython-37.pyc znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/__pycache__/tzfile.cpython-37.pyc znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/__pycache__/tzinfo.cpython-37.pyc znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/exceptions.py znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/lazy.py znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/reference.py znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/tzfile.py znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/tzinfo.py znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Abidjan znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Accra znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Addis_Ababa znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Algiers znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Asmara znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Asmera znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Bamako znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Bangui znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Banjul znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Bissau znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Blantyre znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Brazzaville znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Bujumbura znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Cairo znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Casablanca znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Ceuta znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Conakry znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Dakar znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Dar_es_Salaam znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Djibouti znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Douala znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/El_Aaiun znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Freetown znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Gaborone znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Harare znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Johannesburg znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Juba znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Kampala znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Khartoum znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Kigali znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Kinshasa znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Lagos znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Libreville znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Lome znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Luanda znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Lubumbashi znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Lusaka znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Malabo znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Maputo znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Maseru znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Mbabane znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Mogadishu znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Monrovia znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Nairobi znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Ndjamena znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Niamey znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Nouakchott znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Ouagadougou znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Porto-Novo znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Sao_Tome znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Timbuktu znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Tripoli znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Tunis znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/Africa/Windhoek znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Adak znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Anchorage znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Anguilla znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Antigua znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Araguaina znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Buenos_Aires znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Catamarca znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/ComodRivadavia znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Cordoba znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Jujuy znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/La_Rioja znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Mendoza znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Rio_Gallegos znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Salta znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/San_Juan znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/San_Luis znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Tucuman znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Argentina/Ushuaia znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Aruba znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Asuncion znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Atikokan znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Atka znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Bahia znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Bahia_Banderas znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Barbados znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Belem znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Belize znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Blanc-Sablon znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Boa_Vista znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Bogota znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Boise znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Buenos_Aires znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Cambridge_Bay znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Campo_Grande znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Cancun znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Caracas znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Catamarca znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Cayenne znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Cayman znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Chicago znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Chihuahua znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Coral_Harbour znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Cordoba znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Costa_Rica znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Creston znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Cuiaba znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Curacao znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Danmarkshavn znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Dawson znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Dawson_Creek znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Denver znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Detroit znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Dominica znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Edmonton znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Eirunepe znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/El_Salvador znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Ensenada znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Fort_Nelson znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Fort_Wayne znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Fortaleza znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Glace_Bay znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Godthab znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Goose_Bay znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Grand_Turk znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Grenada znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Guadeloupe znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Guatemala znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Guayaquil znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Guyana znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Halifax znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Havana znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Hermosillo znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Indianapolis znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Knox znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Marengo znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Petersburg znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Tell_City znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Vevay znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Vincennes znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indiana/Winamac znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Indianapolis znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Inuvik znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Iqaluit znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Jamaica znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Jujuy znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Juneau znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Kentucky/Louisville znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Kentucky/Monticello znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Knox_IN znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Kralendijk znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/La_Paz znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Lima znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Los_Angeles znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Louisville znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Lower_Princes znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Maceio znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Managua znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Manaus znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Marigot znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Martinique znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Matamoros znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Mazatlan znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Mendoza znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Menominee znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Merida znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Metlakatla znajduje się w systemie plików
python-pytz: /usr/lib/python3.7/site-packages/pytz/zoneinfo/America/Mexico_City znajduje się w systemie plików

Niby trzeba użyć polecenia pacman -Syyu $package zastępując $package danym pakietem z tej listy. Ale zapytam tu wpierw nie chce nic popsuć w systemie.
« Ostatnia zmiana: Październik 14, 2019, 06:04:13 pm wysłana przez funn »

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1224
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #1 dnia: Wrzesień 16, 2019, 10:07:06 pm »
Kilka dni temu podczas aktualizacji Bleachbit miałem identyczne info, wystarczyło usunąć katalog blokujący update programu.
Radziłbym jeszcze zrobić backup systemu przed usunięciem tego katalogu, po prostu lepiej dmuchać na zimne.
A konkretnie chodzi o ten katalog

https://i.postimg.cc/HnVKCRPP/Przechwycenie-obrazu-ekranu-2019-09-16-22-48-10.png
Musisz go po prostu usunąć, a podczas instalacji tego programu system na nowo utworzy wcześniej usunięty katalog.
« Ostatnia zmiana: Wrzesień 18, 2019, 01:52:50 pm wysłana przez robson75 »
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 1611
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #2 dnia: Wrzesień 17, 2019, 08:04:20 am »
Zasada jest prosta. W pierwszej kolejności sprawdź jaki pakiet jest właścicielem pliku (możesz też zobaczyć jaki jest właścicielem katalogu), który znajduje się już w systemie i w zależności od uzyskanej odpowiedzi postępujesz prawidłowo. Czyli:
pacman -Qo ścieżka/do/plikui w przypadku, gdy:
1. żadna paczka nie jest właścicielem tych plików (katalogu), wówczas albo kasujesz te pliki przed aktualizacją, albo wymuszasz na pacmanie, by zainstalował coś pomimo tego, że napotyka ten sam plik, który właśnie chce zainstalować,
2. jeśli jakaś paczka jest ich właścicielem, wówczas musisz ocenić, czy chcesz ją zachować, czy nie; zasadniczo taka sytuacja może wystąpić albo, gdy masz paczki z AUR (lub innego nieoficjalnego źródła), albo jeśli dokonałeś jakiejś częściowej aktualizacji.
Polecenie pacman -Syyu paczka nic Ci nie da, albowiem zwróci ten sam błąd, który widzisz.

Offline funn

  • Jr. Member
  • **
  • Wiadomości: 83
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #3 dnia: Październik 13, 2019, 03:52:29 am »
Panowie dzięki za odpowiedzi, na razie zrezygnowałem z tego środowiska programistycznego. Nie chcę namieszać w systemie, poczekam na aktualizacje do Pythona 3.8 i wtedy sprawdzę.

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 1611
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #4 dnia: Październik 13, 2019, 07:35:56 am »
To nie ma nic do rzeczy. Aktualizacja do python 3.8 (który chyba jeszcze nie jest na horyzoncie) pewnie niczego nie przyniesie i niczego nie zmieni. W pierwszej kolejności wykonaj:
pacman -SyuPotem i tak trzeba zrobić coś takiego:
pacman -Qo /usr/lib/python3.7/site-packages/pytz/__init__.py(dla każdego z ww. plików) i postąpić w zależności od tego, czy taki plik ma jakiegoś właściciela, czy nie. W tym ostatnim przypadku najprościej jest sforsować (--force) instalację, bo przynajmniej pliki uzyskają właściciela. Można też pliki, które nie należą do żadnej z paczek po prostu usunąć. Jeśli mają, no to należy się zastanowić co chcesz uzyskać. Istnieje wówczas jednak duże prawdopodobieństwo, że właścicielem konfliktującego pliku jest jakaś paczka, która nie pochodzi z oficjalnego repozytorium, gdyż tego typu sytuacje w ramach paczek z niego nie powinny zachodzić (te sporadyczne, które jednak występują zwykle opisywane są na stronie archlinux.org). Istnieje też pewna możliwość, że próbowałeś instalować ów gnome-builder przez pacman -S gnome-builder, a nie przez Syu (czyli bez jednoczesnej aktualizacji systemu), co powodowałoby częściową aktualizację, co nie jest w Archu wspierane.

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1224
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #5 dnia: Październik 13, 2019, 10:28:16 pm »
pacman -SyuPotem i tak trzeba zrobić coś takiego:
pacman -Qo /usr/lib/python3.7/site-packages/pytz/__init__.py
To nic nie da, ponieważ otrzyma taki wynik
/usr/lib/python3.7/site-packages/pytz/__init__.py należy do python-pytz
Jedyne wyjście to usunąć konfliktujące pliki, a podczas instalacji tej paczki system je utworzy na nowo.
A jeżeli tak się nie stanie (w co wątpię) to zawsze można przeinstalować paczkę python-pytz.
« Ostatnia zmiana: Październik 13, 2019, 10:45:27 pm wysłana przez robson75 »
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 1611
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #6 dnia: Październik 13, 2019, 10:51:10 pm »
To nic nie da, ponieważ otrzyma taki wynik
/usr/lib/python3.7/site-packages/pytz/__init__.py należy do python-pytz
Jedyne wyjście to usunąć konfliktujące pliki, a podczas instalacji tej paczki system je utworzy na nowo.
To nie tak. Mamy część danych, które pokazuje nam @funn. Nie wiemy jaka paczka konfliktuje i dlaczego. Ale w istocie tak się to robi. Sprawdzasz jaka paczka jest właścicielem (tu będzie python-pytz) i jaka dostarcza ten sam plik. Jak widać (po rozwinięciu listy): https://www.archlinux.org/packages/extra/x86_64/gnome-builder/ tą paczką nie może być gnome-builder. Oczywiście nie może być także python-pytz (aktualizowany). Coś więcej trzeba wiedzieć i @funn albo musi podać te informacje, albo sam sobie rozstrzygnąć o co chodzi.
Usuwać konfliktujących plików, jeśli należą one do jakiejś paczki - gorąco nie polecam. Nie tędy droga.

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1224
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #7 dnia: Październik 13, 2019, 11:01:31 pm »
Kilka dni temu podczas aktualizacji Bleachbit miałem identyczne info, wystarczyło usunąć katalog blokujący update programu.
Gdybym tego nie zrobił to w życiu bym nie zaktualizował Bleachbit.
Na Archu takie sytuacje zdarzają się bardzo rzadko, ale jednak się zdarzają.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 1611
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #8 dnia: Październik 13, 2019, 11:07:33 pm »
Ale to co proponujesz jest wadliwym rozwiązaniem, choć niekiedy - pozornie - rozwiązującym problem.

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1224
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #9 dnia: Październik 13, 2019, 11:12:47 pm »
https://forum.manjaro.org/t/stable-update-2019-10-10-gnome-3-34-1-plasma-5-16-5-kde-apps-framework-pamac-9-0-mesa-19-2-1/106563/13
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 1611
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #10 dnia: Październik 13, 2019, 11:29:08 pm »
@robson75 - I co to ma do rzeczy? Jak to się ma do problemu? Proponujesz komuś coś na łapu-capu bez rozstrzygnięcia nawet, czy proponowane przez Ciebie rozwiązanie nie zdestabilizuje mu systemu. Przecież jeśli w systemie będą dwie paczki, które dostarczają te same pliki (nie powinno to się zdarzyć), to proponujesz usunięcie części jednej z nich. Zastanowiłeś się nad konsekwencjami tej propozycji? Zwłaszcza, że nie wiesz jakie 2 paczki (co najmniej) są ze sobą w konflikcie.

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1224
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #11 dnia: Październik 13, 2019, 11:36:26 pm »
Radziłbym jeszcze zrobić backup systemu przed usunięciem tego katalogu, po prostu lepiej dmuchać na zimne.
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 1611
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #12 dnia: Październik 13, 2019, 11:46:21 pm »
I co Ci to da? Kwestia istnienia w systemie plików, które chcą być zainstalowane z nowej paczki jest doskonale opisana na wiki Archa. Nie trzeba tu absolutnie nic kombinować. I dalej będę powtarzać: arbitralnie proponowane przez Ciebie rozwiązanie - choć może się powieść - jest samo w sobie złe. Jest pewną ostatecznością, którą należy poprzedzić diagnozą co system boli. Proponujesz rozwiązanie, które jeśli ktoś sobie znajdzie i wyciągnie z tego wątku oraz zastosuje w dowolnym momencie, gdy znajdzie taki sam (czyt. zbliżony) problem może doprowadzić do sytuacji, w której nawet ze zarchiwizowanych plików nie będzie mógł skorzystać, bowiem system nie wstanie w ogóle.

Offline robson75

  • Hero Member
  • *****
  • Wiadomości: 1224
  • Nie ufaj nikomu w sieci, nawet mi.
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #13 dnia: Październik 14, 2019, 12:03:44 am »
No to widzę że kolega nie zna wszystkich możliwości timeshift-a.
A więc jeżeli system nam nie wstaje, to uruchamiamy jakieś live (najlepiej oparte na Arch-u) instalujemy timeshifta (a raczej budujemy z AUR, zawsze warto mieć już go wcześniej zbudowanego na pendraku) i go uruchamiamy, a w nim będzie widoczny snapshot wykonany wcześniej. I w czym problem?
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline pavbaranov

  • Hero Member
  • *****
  • Wiadomości: 1611
Odp: Nie mogę zainstalować gnome-builder
« Odpowiedź #14 dnia: Październik 14, 2019, 06:07:03 am »
Znam dość dokładnie. Również i tę, że aby timeshift na cokolwiek pomógł, musi być uprzednio zainstalowany w systemie. Nic nie pomoże, gdy go nie było, a jakoś nie widzę informacji, by @funn się tym pochwalił.